<?php
function x_92($x_93) { 
$x_94 = kerio('webiface::PhpNonAuth'); 
$x_94->decodeUrl($x_93, &$x_f); 
unset($x_94); 
return $x_f; 
} 
function x_95($x_f) { 
if ($x_f) { 
header('HTTP/1.0 302 Found'); 
header('location: '.$x_f); 
die('Redirect to: <a href="'.$x_f.'">'.$x_f.'</a>'); 
} else return false; 
} 
function x_96($x_97 = false) { 
$x_f = '/nonauth/auth_fail.php?'; 
if (isset($_REQUEST['dest'])) { 
$x_f .= 'dest='.$_REQUEST['dest']; 
} 
if ($x_97) { 
$x_f .= '&NTLM=0'; 
} 
header('HTTP/1.0 302 Found'); 
header('location: '.$x_f); 
die('Redirect to: <a href="'.$x_f.'">'.$x_f.'</a>'); 
} 
$x_d = kerio('sslvpn::PhpSession'); 
if ($x_d) { 
$x_f = '/main.php'; 
if (isset($_REQUEST['dest'])) { 
$x_f = x_92($_REQUEST['dest']); 
} 
x_95($x_f); 
header('HTTP/1.0 500 Server error'); 
die('Server error in '.__FILE__."\n".debug_print_backtrace()); 
} 
else { 
x_96($x_98); 
} 
?>